summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAdam Feldman <NP-Hardass@gentoo.org>2020-03-24 22:15:41 -0400
committerAdam Feldman <NP-Hardass@gentoo.org>2020-04-06 13:48:52 -0400
commit90b43065ff84a3b842f1aa59e0ae6cbada025b4e (patch)
tree3e2695c3e96bb939fac6fe3ba2b41d937e62a42b /mate-extra
parentmate-extra/mate-user-share: Fix LICENSE (diff)
downloadgentoo-90b43065ff84a3b842f1aa59e0ae6cbada025b4e.tar.gz
gentoo-90b43065ff84a3b842f1aa59e0ae6cbada025b4e.tar.bz2
gentoo-90b43065ff84a3b842f1aa59e0ae6cbada025b4e.zip
mate-extra/mate-utils: Bump to 1.24.0
Adds support for disk image mounting via udisks2 Package-Manager: Portage-2.3.82, Repoman-2.3.18 Signed-off-by: Adam Feldman <NP-Hardass@gentoo.org>
Diffstat (limited to 'mate-extra')
-rw-r--r--mate-extra/mate-utils/Manifest1
-rw-r--r--mate-extra/mate-utils/mate-utils-1.24.0.ebuild72
2 files changed, 73 insertions, 0 deletions
diff --git a/mate-extra/mate-utils/Manifest b/mate-extra/mate-utils/Manifest
index c140d225819..cd12a5d7a11 100644
--- a/mate-extra/mate-utils/Manifest
+++ b/mate-extra/mate-utils/Manifest
@@ -1,3 +1,4 @@
DIST mate-utils-1.22.0.tar.xz 7300112 BLAKE2B 8a613b6dcb99e652ad6b44bd64ad9b2f9c809713b5fb904059b64234b51e2a06b2290dcf14d7dde82e8011be2ca395fe74d87bcae5b903b196d55bb50e8fdf07 SHA512 248c6e4108900768a4e8b272d20ac9b2d70e8bf77375f4669a099f4d8386c2e8affeafb772d209f00906f96f20d7ee347167ef4837186f44d8aaad85ef855f70
DIST mate-utils-1.22.1.tar.xz 7284496 BLAKE2B 83e7e39a0daadae595ab2cc90ad250f61a294afc896df28bf17259cec619af4b0c9d1927c07b03a0cdd7449174af258227678299823169e2cb4d9c4d3ec98c92 SHA512 0f70f088de80440ff6954c899eab75c2bf22d332293c1ec61bf8391396ed31a2ab126279dc4d9dab6f4932225120309bc52e122bcd5a8dc17abccfd6e480390d
DIST mate-utils-1.22.2.tar.xz 7306448 BLAKE2B 0fb28f85e39ac58c1e78e6f5f4c6d01e72a2b8c32197739b93ec3f17617b4676fdfe251b81e3b5b01c44f69136d9bfc8d12d64fff832d5a9f1c30591b2facebb SHA512 bf33019ebd1dc4ff6010ba0824981334b7065a62dfc7a73170487df5f165ad20831a900ef4e4e0641ca130aa618f82aa27606f0a48c2cb9907ea7ef118f02a60
+DIST mate-utils-1.24.0.tar.xz 7930068 BLAKE2B 0e2c82afbc2d8a90b8c31d56d9bfbb3a477b1e9cd67108e52c96f4087d09336ed9e6980551e39b43797743b9ef86cc2beabfa84fd7a5820e38122e0d0a7c968d SHA512 d8945c85936a55d22f3ed94c9858ba84cadf552a63cdd2d9eec9120111ad71526ac88772f8e4b7a6a460b691574534e52706fba35a0395b1d894b27eece9e92c
diff --git a/mate-extra/mate-utils/mate-utils-1.24.0.ebuild b/mate-extra/mate-utils/mate-utils-1.24.0.ebuild
new file mode 100644
index 00000000000..91364a73834
--- /dev/null
+++ b/mate-extra/mate-utils/mate-utils-1.24.0.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+MATE_LA_PUNT="yes"
+
+inherit mate
+
+if [[ ${PV} != 9999 ]]; then
+ KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+fi
+
+DESCRIPTION="Utilities for the MATE desktop"
+LICENSE="GPL-2"
+SLOT="0"
+
+IUSE="X applet debug ipv6 test udisks"
+RESTRICT="!test? ( test )"
+
+COMMON_DEPEND="
+ dev-libs/atk
+ >=dev-libs/glib-2.50:2
+ >=gnome-base/libgtop-2.12:2=
+ >=media-libs/libcanberra-0.4[gtk3]
+ sys-libs/zlib
+ x11-libs/cairo
+ x11-libs/gdk-pixbuf:2
+ >=x11-libs/gtk+-3.22:3
+ x11-libs/libICE
+ x11-libs/libSM
+ x11-libs/libX11
+ x11-libs/libXext
+ x11-libs/pango
+ applet? ( >=mate-base/mate-panel-1.17.0 )
+ udisks? ( >=sys-fs/udisks-1.90.0:2 )
+"
+
+RDEPEND="${COMMON_DEPEND}
+ virtual/libintl
+"
+
+DEPEND="${COMMON_DEPEND}
+ app-text/rarian
+ >=app-text/scrollkeeper-dtd-1:1.0
+ app-text/yelp-tools
+ dev-libs/libxml2
+ dev-util/glib-utils
+ dev-util/gtk-doc
+ dev-util/gtk-doc-am
+ >=sys-devel/gettext-0.19.8:*
+ virtual/pkgconfig
+ x11-base/xorg-proto
+"
+
+src_prepare() {
+ # Make apps visible in all DEs.
+ LC_ALL=C find . -iname '*.desktop.in*' -exec \
+ sed -e '/OnlyShowIn/d' -i {} + || die
+
+ mate_src_prepare
+}
+
+src_configure() {
+ mate_src_configure \
+ --enable-zlib \
+ --enable-debug=$(usex debug yes minimum) \
+ $(use_with X x) \
+ $(use_enable applet gdict-applet) \
+ $(use_enable ipv6) \
+ $(use_enable udisks disk_image_mounter)
+}